<template>
  <BoxTextComponent
    v-if="!title.IsHidden"
    :title="'term_condition'"
    :content="content"
  />
</template>
<script lang="ts" setup>
import BoxTextComponent from "./components/footerComponents/BoxText.client.vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
const themeProperties = computed(
  () => store.state.companyThemePropertiesFromApi.ThemeProperties
);
const title = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "footer_menu_info_2"
    )
);
const content = computed(
  (): IThemePropertiesFromApi =>
    themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "menu_content_2_1"
    )
);
</script>
<style lang="scss" scoped>
.demo-collapse {
  :deep(.el-collapse) {
    border-top: 0px;
    border-bottom: 0px;
    .el-collapse-item {
      margin-bottom: 20px;
      .el-collapse-item__wrap {
        border-bottom: 0px;
        background-color: var(--background-body);
        box-shadow: var(--box-shadow);
        border-bottom-left-radius: 12px;
        border-bottom-right-radius: 12px;
      }
      .el-collapse-item__header {
        background: var(--background-body);
        box-shadow: var(--box-shadow);
        border-top-right-radius: 12px;
        border-top-left-radius: 12px;
        display: flex;
        justify-content: space-between;
        border-bottom: 0px;
        position: relative;
        .el-icon-customize {
          width: 32px;
          height: 32px;
          background: var(--button-bg);
          box-shadow: var(--box-shadow);
          border-radius: 16px;
          text-align: center;
          color: var(--font-color-primary);
          font-size: 32px;
          font-weight: 100;
          &::before {
            content: "\00D7";
            display: flex;
            justify-content: center;
            align-items: center;
            width: 32px;
            height: 32px;
            transform: rotate(45deg);
          }
        }
        &.is-active {
          .el-icon-customize {
            &::before {
              content: "\00D7";
              display: flex;
              justify-content: center;
              align-items: center;
              width: 32px;
              height: 32px;
              transform: rotate(90deg);
            }
          }
        }
        .el-icon {
          display: none;
        }
      }
    }
  }
}
</style>
